// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  crystal growth group                                                  ==
// ==                                                                        ==
// ==  Stiftung caesar                                                       ==
// ==  Ludwig-Erhard-Allee 2                                                 ==
// ==  53175 Bonn                                                            ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  http://www.caesar.de/cg/AMDiS                                         ==
// ==                                                                        ==
// ============================================================================

/** \file PeriodicInfo.h */

#ifndef AMDIS_PERIODICINFO_H
#define AMDIS_PERIODICINFO_H

#include <map>

namespace AMDiS {

  class PeriodicInfo 
  {
  public:
    int mode;
      
    int type;

    int outputIndex;

    int neighIndex;

    std::map<int, int> vertexMap;
  };

}

#endif
